/*
 * Licensed to JumpMind Inc under one or more contributor 
 * license agreements.  See the NOTICE file distributed
 * with this work for additional information regarding 
 * copyright ownership.  JumpMind Inc licenses this file
 * to you under the GNU Lesser General Public License (the
 * "License"); you may not use this file except in compliance
 * with the License. 
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, see           
 * <http://www.gnu.org/licenses/>.
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License. 
 */

package org.jumpmind.symmetric.map;

import java.util.Map;

/**
 * Use this value filter if you want a constant value to always be inserted
 * as a column value.
 *
 * 
 */
public class ConstantValueFilter implements IValueFilter {

    private String constant;
    
    public String filter(String tableName, String columnName, String originalValue,
            Map<String, Object> contextCache) {
        return constant;
    }
    
    public void setConstant(String constant) {
        this.constant = constant;
    }

}